# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.85"
name = "sequoia-cryptoki"
version = "0.1.1"
authors = [
    "Neal H. Walfield <neal@sequoia-pgp.org>",
    "Justus Winter <justus@sequoia-pgp.org>",
]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Library for working with PKCS#11 devices (cryptokis) from Sequoia"
readme = "README.md"
keywords = [
    "cryptography",
    "openpgp",
]
categories = ["cryptography"]
license = "LGPL-2.0-or-later AND CC-BY-4.0"
repository = "https://gitlab.com/sequoia-pgp/sequoia-cryptoki"

[package.metadata.docs.rs]
features = ["sequoia-openpgp/default"]

[badges.maintenance]
status = "actively-developed"

[lib]
name = "sequoia_cryptoki"
path = "src/lib.rs"

[[test]]
name = "integration"
path = "tests/integration.rs"

[dependencies.aho-corasick]
version = "1"

[dependencies.anyhow]
version = "1.0.18"

[dependencies.chrono]
version = "0.4.38"

[dependencies.cryptoki]
version = "0.12.0"

[dependencies.dirs]
version = ">= 5, <7"

[dependencies.log]
version = "0.4"

[dependencies.regex]
version = "1"

[dependencies.sequoia-directories]
version = "0.1"

[dependencies.sequoia-openpgp]
version = "2.4.0"
default-features = false

[dependencies.tempfile]
version = "3.1"

[dependencies.thiserror]
version = ">=1, <3"

[dependencies.toml_edit]
version = ">= 0.22, <0.26"
features = [
    "display",
    "parse",
]
default-features = false

[dev-dependencies.tempfile]
version = "3.1"

[target."cfg(not(windows))".dev-dependencies.sequoia-openpgp]
version = "2.4.0"
features = [
    "crypto-nettle",
    "__implicit-crypto-backend-for-tests",
]
default-features = false

[target."cfg(windows)".dev-dependencies.sequoia-openpgp]
version = "2.4.0"
features = [
    "crypto-cng",
    "__implicit-crypto-backend-for-tests",
]
default-features = false
